
#define Prototype   extern

#include <exec/types.h>
#include <libraries/dos.h>

#ifdef __DEBUG__
#ifdef __TRACE__
static const char __BaseFile[] = __BASE_FILE__;
#define     show_line	    reportline(__BaseFile,__LINE__)
#else  (__TRACE__)
#define     show_line
#endif (__TRACE__)
#else (__DEBUG__)
#define     show_line
#endif (__DEBUG__)


#define VERSION     "1.1"

#define MAXLINE     400

#define makeconid(a,b)      ( ((short)(a) << 8) + (b) )

struct conreport {
    short	conid;
    int 	args[8];
};



#define getc(fp)        (((fp)->unget!=0x100||(fp)->pos>=(fp)->bufflen)?sgetc(fp):(fp)->buff[(fp)->pos++])
#define seof(fp)        ((fp)->bufflen<=0)
#define stell(fp)       ((fp)->filepos+(fp)->pos)
#define ungetc(c,fp)    ((fp)->pos--,fp->unget=(c))

#define SEEK_SET    0
#define SEEK_CUR    1
#define SEEK_END    2

typedef struct file {
    int     filepos,pos,bufflen;
    BPTR    des;
    short   unget;
    char    *buff;
} FILE;

#include "sless_proto.h"
